--global conf object stores different template configurations
lib = {
	fillBackground = function (bgImage, sprite) 
		local texture = Texture.new(bgImage, true, {wrap = Texture.REPEAT})
		local shape = Shape.new()
		shape:setFillStyle(Shape.TEXTURE, texture)   
		shape:beginPath(Shape.NON_ZERO)
		shape:moveTo(-500,-500)
		shape:lineTo(application:getDeviceWidth()+500, -500)
		shape:lineTo(application:getDeviceWidth()+500, application:getDeviceHeight()+500)
		shape:lineTo(-500, application:getDeviceHeight()+500)
		shape:lineTo(-500,-500)
		shape:endPath()
		sprite:addChild(shape)
	end,
	backgroundShape = nil,
	backgroundShapeIndex = 1,
	fillBackgroundWithNextIndex = function (spriteObj) 
		if spriteObj:getNumChildren() > 0 then
			spriteObj:removeChildAt(1)
		end
		local texture = Texture.new("images/background/b" .. lib.backgroundShapeIndex .. ".png", true, {wrap = Texture.REPEAT})
		local shape = Shape.new()
		shape:setFillStyle(Shape.TEXTURE, texture)  
		shape:beginPath(Shape.NON_ZERO)
		shape:moveTo(-500,-500)
		shape:lineTo(application:getDeviceWidth()+500, -500)
		shape:lineTo(application:getDeviceWidth()+500, application:getDeviceHeight()+500)
		shape:lineTo(-500, application:getDeviceHeight()+500)
		shape:lineTo(-500,-500)
		shape:endPath()
		spriteObj:addChild(shape)	
		
		lib.backgroundShapeIndex = lib.backgroundShapeIndex + 1
		if lib.backgroundShapeIndex > 65 then
			lib.backgroundShapeIndex = 1
		end
	end,
	hintCountPurchised = function (purchisedHintCountAmount)
		local currentHintCount = tonumber(sets:get("showhintcount"))
		currentHintCount = currentHintCount + purchisedHintCountAmount
		sets:set("showhintcount", currentHintCount, true)
		levelCanvas.levelTopMenu:updateShowHint(currentHintCount)
		levelCanvas:showThankYouPopup(purchisedHintCountAmount)
	end,
	hintCountRefunded = function (refundedHintCountAmount)
		local currentHintCount = tonumber(sets:get("showhintcount"))
		currentHintCount = currentHintCount - refundedHintCountAmount
		if (currentHintCount < 0) then
			currentHintCount = 0 
		end
		sets:set("showhintcount", currentHintCount, true)
		levelCanvas.levelTopMenu:updateShowHint(currentHintCount)
	end
	
	--getWorkingArea = function ()
	--	local WorkingArea = {width=0,height=0,top=0,left=0}
	--	local DeviceWidth = application:getDeviceWidth()
	--	local DeviceHeight = application:getDeviceHeight()
	--	local LogicalWidth = application:getLogicalWidth()
	--	local LogicalHeight = application:getLogicalHeight()
	--	local ratioWidth = DeviceWidth / LogicalWidth
	--	local ratioHeight = DeviceHeight / LogicalHeight
	--	if ratioHeight == ratioWidth then
	--		WorkingArea = {width = DeviceWidth, height = DeviceHeight, top = 0, left = 0}
	--	elseif ratioHeight < ratioWidth then
	--		WorkingArea = {width = LogicalWidth * ratioHeight, height = DeviceHeight, top = 0, left = (DeviceWidth - (LogicalWidth * ratioHeight)) / 2}
	--	else -- ratioHeight > ratioWidth
	--		WorkingArea = {width = DeviceWidth, height = LogicalHeight * ratioWidth, top = (DeviceHeight - (LogicalHeight * ratioWidth)) / 2, left = 0}
	--	end
	--	return WorkingArea
	--end
}

