CutLine = Core.class(Sprite)
local repeatCount = 10
local stepDuration = 25
local thickness = 7
local color = {r = 0, g = 0, b = 0, a = 1}

function CutLine:init(points, container)
	self.points = points
	self.container = container
	
	self.bmp = Bitmap.new(Texture.new("images/level/ima2x4.png", true))	
	self.bmp:setAnchorPoint(0.5, 0.5)
	self.bmp:setColorTransform(color.r, color.g, color.b, color.a)
	self.thickness = thickness
	self:addChild(self.bmp)
	
	local x1 = points.point1.x
	local y1 = points.point1.y
	local x2 = points.point2.x
	local y2 = points.point2.y
	local bmp = self.bmp
	local length = math.sqrt((x2 - x1)*(x2 - x1) + (y2 - y1)*(y2 - y1))
	self.length = length
	bmp:setScaleX(0.5 * length)
	bmp:setScaleY(0.5 * self.thickness)
	bmp:setRotation(math.atan((y2 - y1)/(x2 - x1)) * 180 / math.pi)	
	bmp:setX(x1 + 0.5 * (x2 - x1))
	bmp:setY(y1 + 0.5 * (y2 - y1))
	
	self.counter = 1
	self.timer = Timer.new(stepDuration, repeatCount)

	self.timer:addEventListener(Event.TIMER, self.onTimer, self)
	self.timer:addEventListener(Event.TIMER_COMPLETE, self.onTimerComplete, self)
	self.timer:start()	
end

function CutLine:onTimer(e)
	self.bmp:setColorTransform(color.r, color.g, color.b, 1 - (self.counter / repeatCount))
	self.bmp:setScaleY(0.5 * (self.thickness - ((self.counter / repeatCount) * thickness)))
	self.counter = self.counter + 1
end

function CutLine:onTimerComplete(e)
	self:removeChild(self.bmp)
	self:removeFromParent()
end

