--[[
*************************************************************
 * This script is developed by Arturs Sosins aka ar2rsawseen, http://appcodingeasy.com
 * Feel free to distribute and modify code, but keep reference to its creator
 *
 * Gideros Game Template for developing games. Includes: 
 * Start scene, pack select, level select, settings, score system and much more
 *
 * For more information, examples and online documentation visit: 
 * http://appcodingeasy.com/Gideros-Mobile/Gideros-Mobile-Game-Template
**************************************************************
]]--

help = gideros.class(Sprite)

function help:init()
	lib.fillBackground('images/background/www.png', self)
	--here we'd probably want to set up a background picture
	local screen = Bitmap.new(Texture.new("images/gideros_mobile.png", conf.textureFilter))
	self:addChild(screen)
	screen:setPosition(math.floor((conf.width-screen:getWidth())/2), math.floor((conf.height-screen:getHeight())/2))
	
	--create layer for menu buttons
	local layer = Popup.new({easing = conf.easing})
	layer:setFillStyle(Shape.SOLID, 0x0000ff, 0.5)
	layer:setLineStyle(5, 0x000000)
	layer:setPosition(math.floor(conf.width/2), math.floor(conf.height/2))
	layer:setScale(0)
	self:addChild(layer)
	
	local textWidth = conf.width-60
	
	--title
	local title = TextWrap.new("How To Play?", textWidth, "left", conf.textWrapLineSpacing, conf.descriptionTitleFont)
	title:setPosition(math.floor(-layer:getWidth()/2 + 30), math.floor(-layer:getHeight()/2 + 100))
	title:setTextColor(0xffffff)
	layer:addChild(title)
	
	--help text
	local helpDesc = TextWrap.new("Lorem ipsum a dolor sit amet, consectetur adipiscing elit. Morbi ultrices varius tortor. Donec dui nunc, mollis eu dignissim ut, vestibulum vel nunc. Etiam odio est, facilisis imperdiet lacus ut, suscipit bibendum tellus. Ut bibendum elementum a tortor molestie cursus. Lorem a ipsum dolor sit amet, consectetur adipiscing elit. Nullam ut elementum arcu. Fusce mollis eros sapien, sed dictum libero dapibus eget. In bibendum eleifend convallis. Nulla facilisi. ", textWidth, "justify", conf.textWrapLineSpacing,  conf.descriptionFont)
	helpDesc:setPosition(math.floor(-layer:getWidth()/2 + 30), math.floor(-layer:getHeight()/2 + 150))
	helpDesc:setTextColor(0xffffff)
	layer:addChild(helpDesc)
	
	--back button
	local backButton = ButtonWT.new("green", 'Back', conf.buttonFont)
	backButton:setPosition(math.floor(-backButton:getWidth()/2), math.floor(layer:getHeight()/2-backButton:getHeight()*2))
	layer:addChild(backButton)

	backButton:addEventListener("click", 
		function()	
			sceneManager:changeScene("start", 1, conf.transition, conf.easing) 
		end
	)
	
	layer:show()
end