
--------- GOOGLE BILLING

if operatingSystemType == OperatingSystem.Google then

	--------------------------------------------------
	-- GOOGLE Billing
	-- @param event
	-- @return
	--------------------------------------------------
	local function onRequestPurchaseComplete(event)
		if (event.responseCode == GoogleBilling.OK) then
			-- transaction has been sent to google (thanks Atilim)
			-- don't unlock items here
		else
			local msg = "purchase failed"
			if (event.responseCode == GoogleBilling.USER_CANCELED) then
				msg = "GoogleBilling.USER_CANCELED"
			end
			if (event.responseCode == GoogleBilling.SERVICE_UNAVAILABLE) then
				msg = "GoogleBilling.SERVICE_UNAVAILABLE"
			end
			if (event.responseCode == GoogleBilling.BILLING_UNAVAILABLE) then
				msg = "GoogleBilling.BILLING_UNAVAILABLE"
			end
			if (event.responseCode == GoogleBilling.ITEM_UNAVAILABLE) then
				msg = "GoogleBilling.ITEM_UNAVAILABLE"
			end
			if (event.responseCode == GoogleBilling.DEVELOPER_ERROR) then
				msg = "GoogleBilling.DEVELOPER_ERROR"
			end
			if (event.responseCode == GoogleBilling.ERROR) then
				msg = "GoogleBilling.ERROR"
			end
	 
			print(msg)
		end
	end
	 
	--------------------------------------------------
	-- GOOGLE Billing
	-- @param event
	-- @return
	--------------------------------------------------
	local function onPurchaseStateChange(event)
		if (event.purchaseState == GoogleBilling.CANCELED) then
				if (event.productId == conf.firstProduct.googleKey) then
				-- lock or don't unlock
			elseif (event.productId == conf.secondProduct.googleKey) then
				-- lock or don't unlock
			elseif (event.productId == "android.test.purchased") then
				-- lock or don't unlock
			end
		elseif (event.purchaseState == GoogleBilling.PURCHASED) then
				if (event.productId == conf.firstProduct.googleKey) then
				lib.hintCountPurchised(conf.firstProduct.hintCount)
			elseif (event.productId == conf.secondProduct.googleKey) then
				lib.hintCountPurchised(conf.secondProduct.hintCount)
			elseif (event.productId == "android.test.purchased") then
				lib.hintCountPurchised(conf.firstProduct.hintCount)
			end
		elseif (event.purchaseState == GoogleBilling.REFUNDED) then
				if (event.productId == conf.firstProduct.googleKey) then
				lib.hintCountRefunded(conf.firstProduct.hintCount)
			elseif (event.productId == conf.secondProduct.googleKey) then
				lib.hintCountRefunded(conf.secondProduct.hintCount)
			elseif (event.productId == "android.test.purchased") then
				lib.hintCountRefunded(conf.firstProduct.hintCount)
			end
		elseif (event.purchaseState == GoogleBilling.EXPIRED) then
			-- for subscriptions
		else
			-- unknown state
		end
	 
		googlebilling:confirmNotification(event.notificationId)
	end
	 
	-- maybe it better to modify original publicKey by XOR or split into parts as google suggests
	googlebilling:setPublicKey(conf.googlebillingApiKey)
	googlebilling:addEventListener(Event.REQUEST_PURCHASE_COMPLETE, onRequestPurchaseComplete)
	googlebilling:addEventListener(Event.PURCHASE_STATE_CHANGE, onPurchaseStateChange)
end