if operatingSystemType == OperatingSystem.Apple then
	local function onRequestProductsComplete(event)
		if event.errorCode ~= nil then
			print("error", event.errorCode, event.errorDescription)
			return
		end
	 
		print("products:")
		for i=1,#event.products do
			print("title", event.products[i].title)
			print("description", event.products[i].description)
			print("price", event.products[i].price)
			print("productIdentifier", event.products[i].productIdentifier)
		end
	 
		print("invalidProductIdentifiers:")
		for i=1,#event.invalidProductIdentifiers do
			print(event.invalidProductIdentifiers[i])
		end
	end
	 
	local function onTransaction(event)
		print("payment.productIdentifier", event.payment.productIdentifier)
		print("payment.quantity", event.payment.quantity)
	 
		print("transaction.state", event.transaction.state)
	 
		if event.transaction.state == StoreKit.FAILED then
			print("error", event.errorCode, event.errorDescription)
		else        
			print("transaction.identifier", event.transaction.identifier)
			print("transaction.date", event.transaction.date)
	 
			if event.transaction.state == StoreKit.PURCHASED then
				print("transaction.receipt", event.transaction.receipt)
			end
	 
			if event.transaction.state == StoreKit.RESTORED then
				print("originalTransaction.identifier", event.originalTransaction.identifier)
				print("originalTransaction.date", event.originalTransaction.date)
			end
			
			if event.payment.productIdentifier == conf.firstProduct.appleKey then
				lib.hintCountPurchised(conf.firstProduct.hintCount)
			elseif event.payment.productIdentifier == conf.secondProduct.appleKey then
				lib.hintCountPurchised(conf.secondProduct.hintCount)
			end
			-- unlock the functionality purchased by the user
		end
	 
		storekit:finishTransaction(event.transaction)
	end
	 
	 
	storekit:addEventListener(Event.REQUEST_PRODUCTS_COMPLETE, onRequestProductsComplete)
	storekit:addEventListener(Event.TRANSACTION, onTransaction)
	 
	 
	storekit:requestProducts({
		conf.firstProduct.appleKey,
		conf.secondProduct.appleKey
	})
end